name: 'C++ CI'

on:
  push:
    branches:
      - master

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
        with:
          submodules: true
      - run: sudo apt-get install -y libboost-all-dev
      - run: cmake .
      - run: cmake --build .
